org.w3c.css.sac

## Class CSSParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.w3c.css.sac.CSSException
        - - org.w3c.css.sac.CSSParseException

All Implemented Interfaces:
  java.io.Serializable

    public class CSSParseException
    extends CSSException

Encapsulate a CSS parse error or warning.

This exception will include information for locating the error in the original CSS document. Note that although the application will receive a CSSParseException as the argument to the handlers in the ErrorHandler interface, the application is not actually required to throw the exception; instead, it can simply read the information in it and take a different action.

Since this exception is a subclass of CSSException, it inherits the ability to wrap another exception.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.w3c.css.sac.CSSException

`code, e, s, S_SAC_NOT_SUPPORTED_ERR, S_SAC_SYNTAX_ERR, S_SAC_UNSPECIFIED_ERR, SAC_NOT_SUPPORTED_ERR, SAC_SYNTAX_ERR, SAC_UNSPECIFIED_ERR`

### Constructor Summary

Constructors
Constructor and Description
`CSSParseException(java.lang.String message, Locator locator)` Create a new CSSParseException from a message and a Locator.
`CSSParseException(java.lang.String message, Locator locator, java.lang.Exception e)` Wrap an existing exception in a CSSParseException.
`CSSParseException(java.lang.String message, java.lang.String uri, int lineNumber, int columnNumber)` Create a new CSSParseException.
`CSSParseException(java.lang.String message, java.lang.String uri, int lineNumber, int columnNumber, java.lang.Exception e)` Create a new CSSParseException with an embedded exception.

### Method Summary

Methods
`int` `getColumnNumber()` The column number of the end of the text where the exception occurred.
`int` `getLineNumber()` The line number of the end of the text where the exception occurred.
`java.lang.String` `getURI()` Get the URI of the document where the exception occurred.

### Methods inherited from class org.w3c.css.sac.CSSException

`getCode, getException, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CSSParseException

    public CSSParseException(java.lang.String message,
                     Locator locator)

Create a new CSSParseException from a message and a Locator.

This constructor is especially useful when an application is creating its own exception from within a DocumentHandler callback.

Parameters:
  `message` - The error or warning message.
  `locator` - The locator object for the error or warning.
See Also:
  `Locator`, `Parser.setLocale(java.util.Locale)`

#### CSSParseException

    public CSSParseException(java.lang.String message,
                     Locator locator,
                     java.lang.Exception e)

Wrap an existing exception in a CSSParseException.

This constructor is especially useful when an application is creating its own exception from within a DocumentHandler callback, and needs to wrap an existing exception that is not a subclass of CSSException.

Parameters:
  `message` - The error or warning message, or null to use the message from the embedded exception.
  `locator` - The locator object for the error or warning.
  `e` - Any exception
See Also:
  `Locator`, `Parser.setLocale(java.util.Locale)`

#### CSSParseException

    public CSSParseException(java.lang.String message,
                     java.lang.String uri,
                     int lineNumber,
                     int columnNumber)

Create a new CSSParseException.

This constructor is most useful for parser writers.

the parser must resolve the URI fully before creating the exception.

Parameters:
  `message` - The error or warning message.
  `uri` - The URI of the document that generated the error or warning.
  `lineNumber` - The line number of the end of the text that caused the error or warning.
  `columnNumber` - The column number of the end of the text that cause the error or warning.
See Also:
  `Parser.setLocale(java.util.Locale)`

#### CSSParseException

    public CSSParseException(java.lang.String message,
                     java.lang.String uri,
                     int lineNumber,
                     int columnNumber,
                     java.lang.Exception e)

Create a new CSSParseException with an embedded exception.

This constructor is most useful for parser writers who need to wrap an exception that is not a subclass of CSSException.

The parser must resolve the URI fully before creating the exception.

Parameters:
  `message` - The error or warning message, or null to use the message from the embedded exception.
  `uri` - The URI of the document that generated the error or warning.
  `lineNumber` - The line number of the end of the text that caused the error or warning.
  `columnNumber` - The column number of the end of the text that cause the error or warning.
  `e` - Another exception to embed in this one.
See Also:
  `Parser.setLocale(java.util.Locale)`

### Method Detail

#### getURI

    public java.lang.String getURI()

Get the URI of the document where the exception occurred.

The URI will be resolved fully.

Returns:
  A string containing the URI, or null if none is available.
See Also:
  `Locator.getURI()`

#### getLineNumber

    public int getLineNumber()

The line number of the end of the text where the exception occurred.

Returns:
  An integer representing the line number, or -1 if none is available.
See Also:
  `Locator.getLineNumber()`

#### getColumnNumber

    public int getColumnNumber()

The column number of the end of the text where the exception occurred.

The first column in a line is position 1.

Returns:
  An integer representing the column number, or -1 if none is available.
See Also:
  `Locator.getColumnNumber()`